## gnustep-gui 0.9.5

=== Tools/gsnd/portaudio/Makefile ===
# Make PortAudio for Linux
# Updated 2001/08/25 Bill Eldridge bill@rfa.org
# Updated 2001/10/16, philburk@softsynth.com, s/unix_oss/unix_oss/
# Updated 2002/04/30 Bill Eldridge bill@rfa.org
#     Made the libinstall and tests compile a bit cleaner

# A pretty bare makefile, that figures out all the test files
# and compiles them against the library in the pa_unix_oss directory.

# Do "make all" and then when happy, "make libinstall"
# (if not happy, "make clean")

# The ldconfig stuff in libinstall is the wrong way to do it - 
# someone tell me the right way, please


LIBS =  -lm -lpthread
CC = /usr/local/bin/gcc

CDEFINES = -I../pa_common
CFLAGS = -g
LIBINST = /usr/local/lib

TESTS:= $(wildcard pa_tests/pa*.c pa_tests/debug*.c)
TESTO:= $(wildcard pa_tests/pa*.o pa_tests/debug*.o)

LIBFILES:= ./pa_common/pa_lib.c ./pa_unix_oss/pa_unix_oss.c

#all: sharedlib libinstall tests
all: sharedlib libinstall testo testq

.c.o:
	-gcc -c -I./pa_common $< -o $*.o

.o:
	-gcc $*.o -o $* -Lpa_unix_oss $(LIBS) -lportaudio

#.c.o:
#	-gcc -c -I./pa_common $< -o $*.o
#	-gcc $*.o -o $* -Lpa_unix_oss $(LIBS) -lportaudio


sharedlib:	$(LIBFILES:.c=.o)
	gcc -shared -o ./pa_unix_oss/libportaudio.so ./pa_common/pa_lib.o ./pa_unix_oss/pa_unix_oss.o

libinstall:	./pa_unix_oss/libportaudio.so
	@cp -f ./pa_unix_oss/libportaudio.so $(LIBINST)
	@/sbin/ldconfig

testo:	$(TESTS:.c=.o)

testq:	$(TESTO:.o=)

clean:
	-@rm -f $(TESTS:.c=.o)
	-@rm -f $(TESTS:.c=)
	-@rm -f $(LIBFILES:.c=.o)
	-@rm -f ./pa_unix_oss/libportaudio.so

=== Tools/gsnd/portaudio/pa_sgi/Makefile ===
# Make PortAudio for Silicon Graphics IRIX (6.2)
# Pieter suurmond, september 23, 2001. (pa_sgi sub-version #0.21 for PA v15.)
# Based on SGI-specific sproc()-method to spawn children, not on POSIX-threads.

# Instead of "-lpthread", as with linux,
# just the audio- and math-library for SGI:
LIBS = -laudio -lm

CDEFINES = -I../pa_common

# Possible CFLAGS with MIPSpro compiler are: -32, -o32, -n32, -64,
# -mips1, -mips2, -mips3, -mips4, etc. Use -g, -g2, -g3 for debugging. 
# And use for example -O2 or -O3 for better optimization:
CFLAGS = -O2
PASRC = ../pa_common/pa_lib.c pa_sgi.c
PAINC = ../pa_common/portaudio.h

# Tests that work                                  (SGI Indy with R5000 @ 180MHz running IRIX 6.2). 
TESTC = $(PASRC) ../pa_tests/patest_record.c    # OK
#TESTC = $(PASRC) ../pa_tests/patest_many.c      # OK
#TESTC = $(PASRC) ../pa_tests/patest_latency.c   # OK
#TESTC = $(PASRC) ../pa_tests/patest_longsine.c  # OK
#TESTC = $(PASRC) ../pa_tests/patest_saw.c       # OK
#TESTC = $(PASRC) ../pa_tests/patest_wire.c      # OK
#TESTC = $(PASRC) ../pa_tests/pa_devs.c          # OK
#TESTC = $(PASRC) ../pa_tests/patest_sine.c      # OK
#TESTC = $(PASRC) ../pa_tests/patest_sine_time.c # OK
#TESTC = $(PASRC) ../pa_tests/patest_sine8.c     # OK
#TESTC = $(PASRC) ../pa_tests/patest_leftright.c # OK
#TESTC = $(PASRC) ../pa_tests/patest_pink.c      # OK
#TESTC = $(PASRC) ../pa_tests/patest_clip.c      # OK
#TESTC = $(PASRC) ../pa_tests/patest_stop.c      # OK
#TESTC = $(PASRC) ../pa_tests/patest_dither.c    # OK
#TESTC = $(PASRC) ../pa_tests/patest_sync.c      # BEEPS and delta's, no crashes anymore.

# Tests that were not yet performed.
#TESTC = $(PASRC) ../pa_tests/paqa_devs.c #  test??
#TESTC = $(PASRC) ../pa_tests/paqa_errs.c #  test??
#TESTC = $(PASRC) ../pa_tests/pa_fuzz.c   #  test??

TESTH   = $(PAINC)

all: patest

# "cc" for the MIPSpro compiler, may be changed to "gcc":
patest: $(TESTC) $(TESTH) Makefile
	cc $(CFLAGS) $(TESTC) $(CDEFINES) $(LIBS) -o patest

run: patest
	./patest

=== Tools/gsnd/portaudio/pa_unix_oss/Makefile ===
# Make PortAudio for Linux

LIBS =  -lm -lpthread

CC = /usr/local/bin/gcc
CDEFINES = -I../pa_common
CFLAGS = -g -Wall
PASRC = ../pa_common/pa_lib.c pa_unix_oss.c
PAINC = ../pa_common/portaudio.h

# Tests that work.
#TESTC   = $(PASRC) ../pa_tests/patest_sine.c
#TESTC   = $(PASRC) ../pa_tests/patest_longsine.c
#TESTC   = $(PASRC) ../pa_tests/patest_sine_time.c
#TESTC   = $(PASRC) ../pa_tests/patest_maxsines.c
TESTC   = $(PASRC) ../pa_tests/patest_toomanysines.c
#TESTC   = $(PASRC) ../pa_tests/patest_underflow.c
#TESTC   = $(PASRC) ../pa_tests/patest_hang.c
#TESTC   = $(PASRC) ../pa_tests/patest_sync.c
#TESTC   = $(PASRC) ../pa_tests/patest_pink.c
#TESTC   = $(PASRC) ../pa_tests/patest_leftright.c
#TESTC   = $(PASRC) ../pa_tests/patest_clip.c
#TESTC   = $(PASRC) ../pa_tests/patest_dither.c
#TESTC   = $(PASRC) ../pa_tests/pa_devs.c
#TESTC   = $(PASRC) ../pa_tests/patest_many.c
#TESTC   = $(PASRC) ../pa_tests/patest_record.c
#TESTC   = $(PASRC) ../pa_tests/pa_fuzz.c
#TESTC   = $(PASRC) ../pa_tests/patest_wire.c
#TESTC   = $(PASRC) ../pa_tests/paqa_devs.c

# Tests that do not yet work.
# OSS doesn't let us make obscenely huge buffers so the test will seem to fail. But its OK.
#TESTC   = $(PASRC) ../pa_tests/patest_stop.c

TESTH   = $(PAINC)

all: patest

patest: $(TESTC) $(TESTH) Makefile
	gcc $(CFLAGS) $(TESTC) $(CDEFINES) $(LIBS) -o patest

run: patest
	./patest

## gnustep-gui 0.20.0

=== debian/changelog ===
gnustep-gui (0.20.0-3ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 16:52:07 +0100

gnustep-gui (0.20.0-3) unstable; urgency=low

  * debian/control.m4 (Build-Depends): Replace libpng12-dev with
    libpng-dev (Closes: #662357).  Remove quilt.
    (gnustep-gui-runtime, libgnustep-gui`'SOV_GUI) <Depends>: Relax the
    dependency on -common (Closes: #655433).
    (Standards-Version): Bump to 3.9.3; no changes needed.
  * debian/control: Regenerate.
  * debian/source/format: Change to 3.0 (quilt).
  * debian/README.source: Delete.
  * debian/rules: Don't include /usr/share/quilt/quilt.make.  Eliminate
    quilt patch/unpatch and adjust target dependencies (Closes: #670328).

 -- Yavor Doganov <yavor@gnu.org>  Fri, 27 Apr 2012 12:08:40 +0300

gnustep-gui (0.20.0-2.1) unstable; urgency=low

  * NMU, fix FTBFS with gcc 4.6 (Closes: #639692)

 -- Konstantinos Margaritis <markos@genesi-usa.com>  Wed, 11 Jan 2012 13:39:39 +0000

gnustep-gui (0.20.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules (v_base): Set to 1.22.1 to ensure that the package is
    built with gcc-4.6 on all architectures.
  * debian/control: Regenerate.
  * debian/patches/say-build.patch: New; fixes FTBFS with gcc-4.6 (Closes:
    #639692) and with ld --as-needed (Closes: #631148).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 15 Sep 2011 21:07:20 +0300

gnustep-gui (0.20.0-1) experimental; urgency=low

  * New major upstream release.
  * debian/control.m4 (Vcs-Arch): Replace with...
    (Vcs-Git): ...following the migration to Git.
    (Vcs-Browser): New field.
    (Standards-Version): Bump to 3.9.2; no changes needed.
    (libgnustep-gui-dev) <Depends>: Remove libjpeg-dev, libpng12-dev,
    libtiff4-dev | libtiff-dev, libgif-dev, zlib1g-dev -- unnecessary
    dependencies.
    (libgnustep-gui`'SOV_GUI-dbg) <Recommends>: Set to
    libgnustep-base1.22-dbg.
    <Conflicts>: Set to libgnustep-gui0.18-dbg.
  * debian/control: Regenerate.
  * debian/rules (v_base): Bump to 1.22.
    (debian/build-indep-stamp): Run the testsuite.
    (install-shared): Delete GSSpeechServer.desktop.
    (binary-arch): Move colorpickers' images to /usr/share.
  * debian/patches/gmodel-loading.patch:
  * debian/patches/untitled-document-loading.patch: Delete; fixed
    upstream.
  * debian/patches/series: Update.
  * debian/gnustep-gui-runtime.preinst:
  * debian/gnustep-gui-runtime.lintian-overrides: Delete; not needed
    anymore.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 03 Jun 2011 00:23:00 +0300

gnustep-gui (0.18.0-5) unstable; urgency=medium

  * debian/patches/untitled-document-loading.patch: New; prevent loading
    of untitled document in an NSDocument-based app without an editor type
    (Closes: #595757).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Sep 2010 18:13:59 +0300

gnustep-gui (0.18.0-4) unstable; urgency=medium

  * debian/control.m4 (Build-Depends): Add quilt.
  * debian/control: Regenerate.
  * debian/rules: Include /usr/share/quilt/quilt.make; adjust targets and
    prerequisites for quilt.
  * debian/patches/gmodel-loading.patch: New; fixes loading of GModel
    bundles, regression introduced in 0.18.0 (Closes: #594597).
  * debian/patches/series:
  * debian/README.source: New file.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 29 Aug 2010 12:30:47 +0300

gnustep-gui (0.18.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control.m4 (libgnustep-gui`'SOV_GUI-dbg) <Conflicts>: Replace 
    gnustep-gui-runtime-dbg with libgnustep-gui0.14-dbg and
    libgnustep-gui0.16-dbg.
    <Provides>: Remove; obsolete.
    <Recommends>: Add libgnustep-base1.20-dbg which is needed in most
    cases to provide a meaningful backtrace.
    (Standards-Version): Compliant with 3.9.1; no changes needed.
  * debian/control: Regenerate.
  * debian/watch: Track only stable releases.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 10 Aug 2010 20:36:58 +0300

gnustep-gui (0.18.0-2) experimental; urgency=low

  * debian/gnustep-gui-runtime.preinst: Fix a terrible typo.  Avoid set -u
    since fresh installs fail while the condition is otherwise true as
    expected.
 
 -- Yavor Doganov <yavor@gnu.org>  Tue, 22 Jun 2010 19:37:11 +0300

gnustep-gui (0.18.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.m4 (Build-Depends): Replace libaudiofile-dev and
    portaudio19-dev with libao-dev and libsndfile1-dev; libjpeg62-dev with
    libjpeg-dev.  Add flite1-dev.
    (libgnustep-gui-dev) <Depends>: Remove libaspell-dev, libaudiofile-dev
    and ${shlibs:Depends}.  Replace libjpeg62-dev with libjpeg-dev.
    (libgnustep-gui`'SOV_GUI-dbg) <Depends>: Add ${misc:Depends}.
    (gnustep-gui-doc) <Depends>: Likewise.
    (Description): Extend.
    (Standards-Version): Bump to 3.8.4 (no changes needed).
  * debian/control: Regenerate, which picks the SONAME change as well.
  * debian/rules: Remove all sparc conditionals; not needed anymore.
    (v_base): Bump to 1.20.0.
    (v_make): Remove; unused.
    (OPTFLAG): Remove and rework noopt handling to be compatible with
    gnustep-make/2.4.0.
    (HURD_CONF): Remove; not necessary anymore.
    (install-shared): Move Sounds to -common.
    (binary_indep): Don't install gnustep_sndd.1; install the newly added
    manpages.
  * debian/gnustep_sndd.1: Remove; daemon gone for good.
  * debian/gnustep-gui-runtime.lintian-overrides: Remove the gnustep_sndd
    override (now unused), add new for say and GSSpeechServer.
  * debian/source/format: New file.
  * debian/gnustep-gui-runtime.preinst: New; handle the removal of
    gnustep_sndd's init script.
  * debian/say.1:
  * debian/GSSpeechServer.1: New file.
  * debian/copyright: Add 2010 to the copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 01 Jun 2010 23:05:26 +0300



=== debian/control ===
Source: gnustep-gui
Section: gnustep
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7),
	       m4,
	       libgnustep-base-dev (>= 1.22.1),
	       libjpeg-dev,
	       libtiff-dev,
	       libpng-dev,
	       libgif-dev,
	       libaspell-dev,
	       zlib1g-dev,
	       libcups2-dev,
	       libao-dev,
	       libsndfile1-dev,
	       flite1-dev
Build-Depends-Indep: texinfo,
		     texi2html,
		     texlive-base,
		     texlive-latex-base
Homepage: http://gnustep.org
Vcs-Git: git://git.debian.org/pkg-gnustep/gnustep-gui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-gui.git

Package: gnustep-gui-common
Architecture: all
Depends: gnustep-base-common (>= 1.22.1),
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: GNUstep GUI Library - common files
 The GNUstep GUI Library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.
 .
 This package contains the common files needed by the GNUstep GUI library.

Package: gnustep-gui-runtime
Architecture: any
Depends: gnustep-gui-common (>= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: GNUstep GUI Library - runtime files
 The GNUstep GUI Library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.
 .
 This package contains the runtime support files needed by GNUstep GUI
 applications.

Package: libgnustep-gui0.20
Section: libs
Architecture: any
Depends: gnustep-gui-common (>= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: GNUstep GUI Library
 The GNUstep GUI library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.  The classes include graphical
 objects such as windows, menus, buttons, text fields, popup lists, browsers,
 scrollviews, splitviews, fonts, colors, images, events, pasteboards...
 You need the corresponding backend library package (gnustep-back) to use
 this package.

Package: libgnustep-gui-dev
Section: libdevel
Architecture: any
Depends: libgnustep-gui0.20 (= ${binary:Version}),
	 gnustep-gui-common,
	 libgnustep-base-dev (>= 1.22.1),
	 gnustep-gui-runtime (>= 0.20.0),
	 ${misc:Depends},
	 ${gnustep:Depends}
Suggests: gnustep-gui-doc
Description: GNUstep GUI header files and static libraries
 The GNUstep GUI Library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.
 .
 This package contains the header files and static libraries required
 to build applications against the GNUstep GUI library.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep GUI Library.

Package: libgnustep-gui0.20-dbg
Section: debug
Priority: extra
Architecture: any
Depends: gnustep-gui-common,
	 gnustep-gui-runtime (= ${binary:Version}),
	 libgnustep-gui0.20 (= ${binary:Version}),
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: libgnustep-base1.22-dbg
Conflicts: libgnustep-gui0.18-dbg
Description: GNUstep GUI Library - debugging symbols
 The GNUstep GUI Library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.
 .
 This package contains the debugging symbols for the GNUstep GUI library.

Package: gnustep-gui-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
	 ${gnustep:Depends}
Description: Documentation for the GNUstep GUI Library
 The GNUstep GUI Library is a powerful library of graphical user interface
 classes written completely in the Objective-C language; the classes are
 based upon the OpenStep specification, and provide the user with a
 traditional nextstep-like look and feel.
 .
 This package contains text, gsdoc, PDF and HTML documentation for the
 GNUstep GUI Library.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# we're using brace expansion
export SHELL=/bin/bash

##### VERSION NUMBERS ###########################################

# GNUstep Base version :
v_base	:= 1.22.1

# GNUstep Gui version :
v_gui   := $(shell . ./Version; echo $$VERSION)

# GNUstep Gui SONAME version :
sov_gui	:= $(shell . ./Version; echo $$GNUSTEP_GUI_MAJOR_VERSION.$$GNUSTEP_GUI_MINOR_VERSION)

#################################################################

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# make some files executable
dummy := $(shell chmod +x configure)

# package names
p_com		= gnustep-gui-common
p_run		= gnustep-gui-runtime
p_lib		= libgnustep-gui$(sov_gui)
p_dev		= libgnustep-gui-dev
p_dbg		= $(p_lib)-dbg
p_doc		= gnustep-gui-doc

# package temp dirs
d_com		= $(CURDIR)/debian/$(p_com)
d_run		= $(CURDIR)/debian/$(p_run)
d_lib		= $(CURDIR)/debian/$(p_lib)
d_dev		= $(CURDIR)/debian/$(p_dev)
d_dbg		= $(CURDIR)/debian/$(p_dbg)
d_doc		= $(CURDIR)/debian/$(p_doc)

# -----------------------------------------------------------------------------
# GNUstep SETTINGS
include /usr/share/GNUstep/debian/config.mk

export GNUSTEP_MAKEFILES := /usr/share/GNUstep/Makefiles
export GNUSTEP_INSTALLATION_DOMAIN := SYSTEM

# Compiler
CC	:= $(shell sed -n -e '/^CC[ 	]*=/s,.*= *\(.*\),\1,p' \
		/$(GS_MAKE_DIR)/config.make)

LDFLAGS := -Wl,-z,defs -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optim := debug=yes
endif

# -----------------------------------------------------------------------------

version:
	echo "Base : $(v_base)"
	echo "Gui : $(v_gui)"
	echo "Gui soname version : $(sov_gui)"

control-file: debian/control
debian/control: debian/control.m4
	m4 \
	    -DV_BASE='$(v_base)' \
	    -DV_GUI='$(v_gui)' \
	    -DSOV_GUI='$(sov_gui)' \
	  debian/control.m4 | uniq > debian/control

# Generate the lintian overrides file automatically, to avoid renames
# when the SONAME is bumped.
clean_files += debian/libgnustep-gui$(sov_gui).lintian-overrides
debian/libgnustep-gui$(sov_gui).lintian-overrides: debian/libgnustep-guiN.overrides.m4
	m4 -DSOV_GUI='$(sov_gui)' $< > $@

config: debian/configure-stamp
clean_files += debian/configure-stamp

debian/configure-stamp: configure
	dh_testdir
	CC=$(CC) ./configure \
	    --build=$(DEB_BUILD_GNU_TYPE) \
	    --host=$(DEB_HOST_GNU_TYPE) \
	    --target=$(DEB_HOST_GNU_TYPE) \
	    --with-x \
	    --x-libraries=/usr/X11R6/lib \
	    --x-includes=/usr/X11R6/include

	touch $@

build-shared: debian/build-shared-stamp
clean_files += debian/build-shared-stamp
debian/build-shared-stamp: config
	dh_testdir
	$(MAKE) doc=no messages=yes $(optim) LDFLAGS="$(LDFLAGS)"

	touch $@


build: build-arch

# Build architecture indep
build-indep: debian/build-indep-stamp
clean_files += debian/build-indep-stamp
debian/build-indep-stamp: build-shared
	dh_testdir
	$(MAKE) -C Documentation doc=yes messages=yes
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif
	touch $@

# Build architecture dep
build-arch: build-shared build-static

build-debug: debian/build-debug-stamp
clean_files += debian/build-debug-stamp
debian/build-debug-stamp: config
	touch $@

build-static: debian/build-static-stamp
clean_files += debian/build-static-stamp
debian/build-static-stamp: config
	$(MAKE) -C Source shared=no doc=no messages=yes $(optim) \
	  LDFLAGS="$(LDFLAGS)"

	touch $@

# Install all
install: install-indep install-arch

# Install architecture indep
install-indep: install-doc install-common

install-doc: build-indep
	dh_testdir
	dh_testroot
	dh_prep -p$(p_doc)
	dh_installdirs -p$(p_doc)

	: # Install the indep part of the package
	$(MAKE) -C Documentation install doc=yes DESTDIR=$(d_doc)

	: # remove postscript doc
	for file in `find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name "*.ps"`; do \
	  rm $$file ; done

	: # remove info doc
	rm -rf $(d_doc)/$(GNUSTEP_SYSTEM_DOC_INFO)

	: # /usr/share/doc symlinks
	dh_link -p$(p_doc) \
	    $(GNUSTEP_SYSTEM_DOC)/Developer usr/share/doc/$(p_com)/Developer \
	    usr/share/doc/$(p_com)/Developer usr/share/doc/$(p_doc)/Developer \
	    $(GNUSTEP_SYSTEM_DOC)/User usr/share/doc/$(p_com)/User \
	    usr/share/doc/$(p_com)/User usr/share/doc/$(p_doc)/User

	: # clean
	for file in `find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name ".cvsignore"`; do \
		rm $$file ; done

	dh_install -i

install-common: install-shared
	@: # The files actually get installed in install-shared
	@: # so we don't actually have anything to do here

# Install architecture dep
install-arch: install-shared install-static install-debug

install-shared: build-shared
	dh_testdir -p$(p_run)
	dh_testroot -p$(p_run)
	dh_prep -p$(p_run)
	dh_installdirs -p$(p_run)

	@: # install shared version of libraries
	$(MAKE) install doc=no DESTDIR=$(d_run)

	@: # remove Makefiles/Additional/gui.make
	rm -rf $(d_run)/$(GS_MAKE_DIR)

# Move arch-indep things to -common.
	dh_prep -p$(p_com)
	dh_installdirs -p$(p_com)
	mkdir -p $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries
	mv $(d_run)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-gui \
	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries
	mv $(d_run)/$(GNUSTEP_SYSTEM_LIBRARY)/Images \
	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Images
	mv $(d_run)/$(GNUSTEP_SYSTEM_LIBRARY)/Sounds \
	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/Sounds
	mv $(d_run)/$(GNUSTEP_SYSTEM_LIBRARY)/KeyBindings \
	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/KeyBindings
	mv $(d_run)/$(GNUSTEP_SYSTEM_LIBRARY)/PostScript \
	  $(d_com)/$(GNUSTEP_SYSTEM_LIBRARY)/PostScript

	@: # remove headers from shared packages
	rm -rf $(d_run)/$(GNUSTEP_SYSTEM_HEADERS)

	@: # Move shared lib 
	dh_install -p$(p_lib) \
	    debian/$(p_run)/$(GNUSTEP_SYSTEM_LIBRARIES)/lib*.so.* $(GNUSTEP_SYSTEM_LIBRARIES)
	rm -rf debian/$(p_run)/$(GNUSTEP_SYSTEM_LIBRARIES)/lib*

	@: # Doc symlinks
	dh_link -p$(p_lib) usr/share/doc/$(p_com) usr/share/doc/$(p_lib)
	dh_link -p$(p_run) usr/share/doc/$(p_com) usr/share/doc/$(p_run)

# Delete useless file that trigger a lintian warning.
	$(RM) $(d_run)$(GNUSTEP_SYSTEM_APPS)/GSSpeechServer.app/Resources/GSSpeechServer.desktop


install-static: build-static
	dh_testdir -p$(p_dev)
	dh_testroot -p$(p_dev)
	dh_installdirs -p$(p_dev)
	dh_prep -p$(p_dev)

	: # install static version of libraries
	$(MAKE) SUBPROJECTS=Source install shared=no doc=no DESTDIR=$(d_dev)

	: # Install gui.make here (instead of in -runtime)
	install -m 644 -D gui.make $(d_dev)/$(GS_MAKE_DIR)/Additional/gui.make

	: # Development symlink
	dh_link -p$(p_dev) $(GNUSTEP_SYSTEM_LIBRARIES)/libgnustep-gui.so.$(sov_gui) \
	    $(GNUSTEP_SYSTEM_LIBRARIES)/libgnustep-gui.so

	: # Remove Resources dir
	rm -rf $(d_dev)/$(GNUSTEP_SYSTEM_LIBRARY)/Libraries/gnustep-gui

	: # usr/share/doc symlink
	dh_link -p$(p_dev) usr/share/doc/$(p_com) usr/share/doc/$(p_dev)

install-debug: build-debug
	dh_testdir -p$(p_dbg)
	dh_testroot -p$(p_dbg)
	dh_prep -p$(p_dbg)
	dh_installdirs -p$(p_dbg)

	: # Doc symlink
	dh_link -p$(p_dbg) usr/share/doc/$(p_com) usr/share/doc/$(p_dbg)


# Build architecture-independent files here.
binary-indep: control-file build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -p$(p_doc) ChangeLog
	dh_installdocs -p$(p_doc) ANNOUNCE BUGS NEWS README
	dh_installchangelogs -p$(p_com) ChangeLog
	dh_installdocs -p$(p_com) ANNOUNCE BUGS NEWS README
	gsdh_gnustep -i

# Install man pagees to gnustep-gui-common, and remove from gnustep-gui-doc.
	for man in gclose gcloseall gopen make_services set_show_service; do \
	  dh_installman -p$(p_com) Documentation/$$man.1; \
	  rm -rf $(d_doc)/usr/share/man; \
	done
	dh_installman -p$(p_com) debian/say.1 debian/GSSpeechServer.1

## gnustep-gui 0.22.0

=== debian/changelog ===
gnustep-gui (0.22.0-1ubuntu2) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 04:10:56 +0000

gnustep-gui (0.22.0-1ubuntu1) raring; urgency=low

  * Merge from Debian experimental. Remaining changes:
    - Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 16:07:34 +0100

gnustep-gui (0.22.0-1) experimental; urgency=low

  * New major upstream release.
  * debian/rules (v_base): Bump to 1.24 (Closes: #672986).
    Run the testsuite in the proper target.  Enable hardening and
    imagemagick.
  * debian/control.m4 (Build-Depends): Add libmagickcore-dev and
    libicu-dev.
    (libgnustep-gui`'SOV_GUI-dbg) <Recommends>: Set to
    libgnustep-base1.24-dbg.
    <Conflicts>: Add libgnustep-gui0.20-dbg.
  * debian/control: Regenerate.
  * debian/patches/fix-ftbfs-gcc46.patch: Remove; fixed upstream.
  * debian/patches/say-build.patch: Update/refresh.
  * debian/patches/series: Update.
  * debian/gnustep-gui-runtime.lintian-overrides: New file; hardening
    false positives.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 22 May 2012 18:13:44 +0300

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,13 @@
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7),
 	       m4,
-	       libgnustep-base-dev (>= 1.22.1),
+	       libgnustep-base-dev (>= 1.24),
 	       libjpeg-dev,
 	       libtiff-dev,
 	       libpng-dev,
 	       libgif-dev,
+	       libmagickcore-dev,
+	       libicu-dev,
 	       libaspell-dev,
 	       zlib1g-dev,
 	       libcups2-dev,
@@ -29,7 +31,7 @@
 
 Package: gnustep-gui-common
 Architecture: all
-Depends: gnustep-base-common (>= 1.22.1),
+Depends: gnustep-base-common (>= 1.24),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Description: GNUstep GUI Library - common files
@@ -55,7 +57,7 @@
  This package contains the runtime support files needed by GNUstep GUI
  applications.
 
-Package: libgnustep-gui0.20
+Package: libgnustep-gui0.22
 Section: libs
 Architecture: any
 Depends: gnustep-gui-common (>= ${source:Version}),
@@ -75,10 +77,10 @@
 Package: libgnustep-gui-dev
 Section: libdevel
 Architecture: any
-Depends: libgnustep-gui0.20 (= ${binary:Version}),
+Depends: libgnustep-gui0.22 (= ${binary:Version}),
 	 gnustep-gui-common,
-	 libgnustep-base-dev (>= 1.22.1),
-	 gnustep-gui-runtime (>= 0.20.0),
+	 libgnustep-base-dev (>= 1.24),
+	 gnustep-gui-runtime (>= 0.22.0),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Suggests: gnustep-gui-doc
@@ -94,17 +96,18 @@
  Install this package if you wish to develop your own programs using
  the GNUstep GUI Library.
 
-Package: libgnustep-gui0.20-dbg
+Package: libgnustep-gui0.22-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Depends: gnustep-gui-common,
 	 gnustep-gui-runtime (= ${binary:Version}),
-	 libgnustep-gui0.20 (= ${binary:Version}),
+	 libgnustep-gui0.22 (= ${binary:Version}),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
-Recommends: libgnustep-base1.22-dbg
-Conflicts: libgnustep-gui0.18-dbg
+Recommends: libgnustep-base1.24-dbg
+Conflicts: libgnustep-gui0.18-dbg,
+	   libgnustep-gui0.20-dbg
 Description: GNUstep GUI Library - debugging symbols
  The GNUstep GUI Library is a powerful library of graphical user interface
  classes written completely in the Objective-C language; the classes are

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ##### VERSION NUMBERS ###########################################
 
 # GNUstep Base version :
-v_base	:= 1.22.1
+v_base	:= 1.24
 
 # GNUstep Gui version :
 v_gui   := $(shell . ./Version; echo $$VERSION)
@@ -51,11 +51,9 @@
 export GNUSTEP_MAKEFILES := /usr/share/GNUstep/Makefiles
 export GNUSTEP_INSTALLATION_DOMAIN := SYSTEM
 
-# Compiler
-CC	:= $(shell sed -n -e '/^CC[ 	]*=/s,.*= *\(.*\),\1,p' \
-		/$(GS_MAKE_DIR)/config.make)
-
-LDFLAGS := -Wl,-z,defs -Wl,--as-needed
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+OBJCFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,--as-needed
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 optim := debug=yes
@@ -87,10 +85,12 @@
 
 debian/configure-stamp: configure
 	dh_testdir
-	CC=$(CC) ./configure \
+	./configure CPPFLAGS="$(CPPFLAGS)" OBJCFLAGS="$(OBJCFLAGS)" \
+	    LDFLAGS="$(LDFLAGS)" \
 	    --build=$(DEB_BUILD_GNU_TYPE) \
 	    --host=$(DEB_HOST_GNU_TYPE) \
 	    --target=$(DEB_HOST_GNU_TYPE) \
+	    --enable-imagemagick \
 	    --with-x \
 	    --x-libraries=/usr/X11R6/lib \
 	    --x-includes=/usr/X11R6/include
@@ -101,8 +101,11 @@
 clean_files += debian/build-shared-stamp
 debian/build-shared-stamp: config
 	dh_testdir
-	$(MAKE) doc=no messages=yes $(optim) LDFLAGS="$(LDFLAGS)"
-
+	$(MAKE) doc=no messages=yes $(optim) CPPFLAGS="$(CPPFLAGS)" \
+	  OBJCFLAGS="$(OBJCFLAGS)" LDFLAGS="$(LDFLAGS)"
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) check
+endif
 	touch $@
 
 
@@ -114,9 +117,7 @@
 debian/build-indep-stamp: build-shared
 	dh_testdir
 	$(MAKE) -C Documentation doc=yes messages=yes
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check
-endif
+
 	touch $@
 
 # Build architecture dep
@@ -264,8 +265,3 @@
 
 # Install man pagees to gnustep-gui-common, and remove from gnustep-gui-doc.
 	for man in gclose gcloseall gopen make_services set_show_service; do \
-	  dh_installman -p$(p_com) Documentation/$$man.1; \
-	  rm -rf $(d_doc)/usr/share/man; \
-	done
-	dh_installman -p$(p_com) debian/say.1 debian/GSSpeechServer.1
-

## gnustep-gui 0.24.0

=== debian/changelog ===
gnustep-gui (0.24.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using giflib 5. Closes: #803283.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2015 04:44:00 +0000

gnustep-gui (0.24.0-3) unstable; urgency=medium

  * debian/patches/xib-loading.patch: New; fixes a crash with XIB
    decoding/loading (Closes: #754825).
  * debian/patches/gorm-loading.patch: New; fixes a crash in Gorm
    loading (Closes: #755823).
  * debian/patches/series: Update.
  * debian/control.m4 (Standards-Version): Bump to 3.9.6; no changes
    needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Oct 2014 09:39:18 +0200

gnustep-gui (0.24.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/compat: Set to 9 to get .build-id debugging symbols.
  * debian/control.m4 (Build-Depends): Require debhelper >= 9.
    (libgnustep-gui`'SOV_GUI-dbg) <Conflicts>: Remove.
  * debian/control: Regenerate.
  * debian/rules (confflags): Define conditionally and pass --host to
    configure only if cross-compiling.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 07 Jul 2014 14:34:47 +0300

gnustep-gui (0.24.0-1) experimental; urgency=low

  * New major upstream release:
    - Provides a more complete implementation of NSBox (Closes: #711938).
  * debian/patches/say-build.patch: Remove; fixed upstream.
  * debian/patches/info-direntry.patch: New.
  * debian/patches/series: Update.
  * debian/rules (v_base): Bump to 1.24.6.
    (install-doc): Do not create User/Developer symlinks.  Remove gsdoc
    files, do not delete info ones.
    (binary-arch): Remove gnustep-gpbs from generated shlibs, will be
    merged into -common.
  * debian/control.m4 (Build-Depends): Replace libtiff4-dev with
    libtiff-dev (Closes: #736010).
    (Build-Depends-Indep): Remove texi2html.
    (libgnustep-gui`'SOV_GUI-dbg) <Conflicts>: Remove
    libgnustep-gui0.18-dbg, add libgnustep-gui0.22-dbg.
    (Vcs-Git): Use the canonical URI.
    (Standards-Version): Bump to 3.9.5 (no changes needed).
  * debian/control: Regenerate.
  * debian/gnustep-gui-doc.doc-base.manual: Add HTML format; it is now
    properly built and installed following the texi2html->makeinfo switch
    (Closes: #732137).
  * debian/copyright: Update copyright years; typo fix.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 26 May 2014 19:11:54 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: gnustep-gui
 Section: gnustep
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
 	   Yavor Doganov <yavor@gnu.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7),
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
 	       m4,
-	       libgnustep-base-dev (>= 1.24),
+	       libgnustep-base-dev (>= 1.24.6),
 	       libjpeg-dev,
 	       libtiff-dev,
 	       libpng-dev,
@@ -22,16 +21,15 @@
 	       libsndfile1-dev,
 	       flite1-dev
 Build-Depends-Indep: texinfo,
-		     texi2html,
 		     texlive-base,
 		     texlive-latex-base
 Homepage: http://gnustep.org
-Vcs-Git: git://git.debian.org/pkg-gnustep/gnustep-gui.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gnustep-gui.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-gui.git
 
 Package: gnustep-gui-common
 Architecture: all
-Depends: gnustep-base-common (>= 1.24),
+Depends: gnustep-base-common (>= 1.24.6),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Description: GNUstep GUI Library - common files
@@ -57,7 +55,7 @@
  This package contains the runtime support files needed by GNUstep GUI
  applications.
 
-Package: libgnustep-gui0.22
+Package: libgnustep-gui0.24
 Section: libs
 Architecture: any
 Depends: gnustep-gui-common (>= ${source:Version}),
@@ -77,10 +75,10 @@
 Package: libgnustep-gui-dev
 Section: libdevel
 Architecture: any
-Depends: libgnustep-gui0.22 (= ${binary:Version}),
+Depends: libgnustep-gui0.24 (= ${binary:Version}),
 	 gnustep-gui-common,
-	 libgnustep-base-dev (>= 1.24),
-	 gnustep-gui-runtime (>= 0.22.0),
+	 libgnustep-base-dev (>= 1.24.6),
+	 gnustep-gui-runtime (>= 0.24.0),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Suggests: gnustep-gui-doc
@@ -96,18 +94,16 @@
  Install this package if you wish to develop your own programs using
  the GNUstep GUI Library.
 
-Package: libgnustep-gui0.22-dbg
+Package: libgnustep-gui0.24-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Depends: gnustep-gui-common,
 	 gnustep-gui-runtime (= ${binary:Version}),
-	 libgnustep-gui0.22 (= ${binary:Version}),
+	 libgnustep-gui0.24 (= ${binary:Version}),
 	 ${misc:Depends},
 	 ${gnustep:Depends}
 Recommends: libgnustep-base1.24-dbg
-Conflicts: libgnustep-gui0.18-dbg,
-	   libgnustep-gui0.20-dbg
 Description: GNUstep GUI Library - debugging symbols
  The GNUstep GUI Library is a powerful library of graphical user interface
  classes written completely in the Objective-C language; the classes are

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ##### VERSION NUMBERS ###########################################
 
 # GNUstep Base version :
-v_base	:= 1.24
+v_base	:= 1.24.6
 
 # GNUstep Gui version :
 v_gui   := $(shell . ./Version; echo $$VERSION)
@@ -19,11 +19,11 @@
 
 #################################################################
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+confflags := --build $(DEB_BUILD_GNU_TYPE)
+else
+confflags := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+endif
 
 # make some files executable
 dummy := $(shell chmod +x configure)
@@ -87,9 +87,7 @@
 	dh_testdir
 	./configure CPPFLAGS="$(CPPFLAGS)" OBJCFLAGS="$(OBJCFLAGS)" \
 	    LDFLAGS="$(LDFLAGS)" \
-	    --build=$(DEB_BUILD_GNU_TYPE) \
-	    --host=$(DEB_HOST_GNU_TYPE) \
-	    --target=$(DEB_HOST_GNU_TYPE) \
+	    $(confflags) \
 	    --enable-imagemagick \
 	    --with-x \
 	    --x-libraries=/usr/X11R6/lib \
@@ -148,26 +146,14 @@
 	dh_prep -p$(p_doc)
 	dh_installdirs -p$(p_doc)
 
-	: # Install the indep part of the package
+# Install the indep part of the package.
 	$(MAKE) -C Documentation install doc=yes DESTDIR=$(d_doc)
 
-	: # remove postscript doc
-	for file in `find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name "*.ps"`; do \
-	  rm $$file ; done
-
-	: # remove info doc
-	rm -rf $(d_doc)/$(GNUSTEP_SYSTEM_DOC_INFO)
-
-	: # /usr/share/doc symlinks
-	dh_link -p$(p_doc) \
-	    $(GNUSTEP_SYSTEM_DOC)/Developer usr/share/doc/$(p_com)/Developer \
-	    usr/share/doc/$(p_com)/Developer usr/share/doc/$(p_doc)/Developer \
-	    $(GNUSTEP_SYSTEM_DOC)/User usr/share/doc/$(p_com)/User \
-	    usr/share/doc/$(p_com)/User usr/share/doc/$(p_doc)/User
-
-	: # clean
-	for file in `find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name ".cvsignore"`; do \
-		rm $$file ; done
+# Remove PostScript/gsdoc files.
+	find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -regextype posix-egrep \
+	  -regex  ".*(ps|gsdoc)$$" -delete
+
+	find $(d_doc)/$(GNUSTEP_SYSTEM_DOC) -name .cvsignore -delete
 
 	dh_install -i
 
@@ -265,3 +251,25 @@
 
 # Install man pagees to gnustep-gui-common, and remove from gnustep-gui-doc.
 	for man in gclose gcloseall gopen make_services set_show_service; do \
+	  dh_installman -p$(p_com) Documentation/$$man.1; \
+	  rm -rf $(d_doc)/usr/share/man; \
+	done
+	dh_installman -p$(p_com) debian/say.1 debian/GSSpeechServer.1
+
+	: # remove empty directories, when all components are in place
+	for d in `find $(d_com) -depth -type d -empty 2>/dev/null`; do \
+	    case $$d in */usr/share/doc*|*/etc) continue; esac; \
+	    while rmdir $$d 2> /dev/null; do d=`dirname $$d`; done; \
+	done
+
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
+
+
+# Build architecture-dependent files here.
+binary-arch: control-file build-arch install-arch debian/libgnustep-gui$(sov_gui).lintian-overrides
+	dh_testdir -a

=== debian/watch ===
version=3
opts=pasv \
ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-gui-([\d\.]+[02468]\.\d)\.tar\.gz
